# Installation
> `npm install --save @types/original`

# Summary
This package contains type definitions for original (https://github.com/unshiftio/original).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/original.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/original/index.d.ts)
````ts
/**
 * Transform an URL to a valid origin value.
 *
 * @param url URL to transform to it's origin.
 * @returns The origin.
 * @api public
 */
declare function origin(url: string | object | { protocol: string; host: string }): string;

declare namespace origin {
    /**
     * Check if the origins are the same.
     *
     * @param a URL or origin of a.
     * @param b URL or origin of b.
     * @returns true if origins are the same, false otherwise
     * @api public
     */
    function same(a: string, b: string): boolean;
}

export = origin;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: none

# Credits
These definitions were written by [Wayne Carson](https://github.com/wcarson).
